## org.eclipse.emf.ecore.util
Class FeatureMapUtil.FeatureENotificationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.NotificationImpl
          org.eclipse.emf.ecore.impl.ENotificationImpl
              org.eclipse.emf.ecore.util.FeatureMapUtil.FeatureENotificationImpl

All Implemented Interfaces:
  Notification, NotificationChain

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.FeatureENotificationImpl

extends ENotificationImpl

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.ENotificationImpl
`feature, featureID, notifier`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl
`eventType, IS_SET_CHANGE_INDEX, newIEEEPrimitiveValue, newSimplePrimitiveValue, newValue, next, oldIEEEPrimitiveValue, oldSimplePrimitiveValue, oldValue, position, PRIMITIVE_TYPE_BOOLEAN, PRIMITIVE_TYPE_BYTE, PRIMITIVE_TYPE_CHAR, PRIMITIVE_TYPE_DOUBLE, PRIMITIVE_TYPE_FLOAT, PRIMITIVE_TYPE_INT, PRIMITIVE_TYPE_LONG, PRIMITIVE_TYPE_OBJECT, PRIMITIVE_TYPE_SHORT, primitiveType`

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`FeatureMapUtil.FeatureENotificationImpl(InternalEObject owner, int eventType, EStructuralFeature feature, java.lang.Object oldObject, java.lang.Object newObject, int index)`
`FeatureMapUtil.FeatureENotificationImpl(InternalEObject owner, int eventType, EStructuralFeature feature, java.lang.Object oldObject, java.lang.Object newObject, int index, boolean wasSet)`

Method Summary
`int` `getFeatureID(java.lang.Class<?> expectedClass)` Returns the numeric ID of the feature relative to the given class, or `Notification.NO_FEATURE_ID` when not applicable.
`boolean` `merge(Notification notification)` Returns whether the notification can be and has been merged with this one.

Methods inherited from class org.eclipse.emf.ecore.impl.ENotificationImpl
`getFeature, getFeatureDefaultValue, getNotifier, isFeatureUnsettable`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl

`add, dispatch, getEventType, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isReset, isTouch, toString, wasSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureMapUtil.FeatureENotificationImpl

    public FeatureMapUtil.FeatureENotificationImpl(InternalEObject owner,
                                                   int eventType,
                                                   EStructuralFeature feature,
                                                   java.lang.Object oldObject,
                                                   java.lang.Object newObject,
                                                   int index)

### FeatureMapUtil.FeatureENotificationImpl

    public FeatureMapUtil.FeatureENotificationImpl(InternalEObject owner,
                                                   int eventType,
                                                   EStructuralFeature feature,
                                                   java.lang.Object oldObject,
                                                   java.lang.Object newObject,
                                                   int index,
                                                   boolean wasSet)

Method Detail

### getFeatureID

    public int getFeatureID(java.lang.Class<?> expectedClass)

  Description copied from interface: `Notification`
  Returns the numeric ID of the feature relative to the given class, or `Notification.NO_FEATURE_ID` when not applicable.

  Specified by:
    `getFeatureID` in interface `Notification`
  Overrides:
    `getFeatureID` in class `ENotificationImpl`
  Parameters:
    `expectedClass` - the class to which the ID is relative.
  Returns:
    the numeric ID of the feature.
  See Also:
    `Notification.NO_FEATURE_ID`

### merge

    public boolean merge(Notification notification)

  Description copied from interface: `Notification`
  Returns whether the notification can be and has been merged with this one.

  Specified by:
    `merge` in interface `Notification`
  Overrides:
    `merge` in class `NotificationImpl`
  Returns:
    whether the notification can be and has been merged with this one.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.